Bug 1645328

Summary: install of atk-devel-2.30.0-1.fc29.i686 conflicts with file from package atk-devel-2.30.0-1.fc29.x86_64
Product: [Fedora] Fedora Reporter: Mads Kiilerich <mads>
Component: atkAssignee: Debarshi Ray <debarshir>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: debarshir, john.j5live, loic.yhuel, mclasen, rhughes, rstrode, sandmann, tbzatek, thedoogster, yalterz
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-11-27 18:17:10 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mads Kiilerich 2018-11-02 00:12:43 UTC
Description of problem:

  file /usr/include/atk-1.0/atk/atk-enum-types.h from install of atk-devel-2.30.0-1.fc29.i686 conflicts with file from package atk-devel-2.30.0-1.fc29.x86_64
  file /usr/share/gtk-doc/html/atk/api-index-full.html from install of atk-devel-2.30.0-1.fc29.i686 conflicts with file from package atk-devel-2.30.0-1.fc29.x86_64

Due to random anchors in api-index-full.html and 

--- /usr/include/atk-1.0/atk/atk-enum-types.h	2018-09-10 09:58:30.000000000 +0200
+++ atk-enum-types.h	2018-11-02 00:22:15.625635841 +0100
@@ -13,17 +13,17 @@
 
 G_BEGIN_DECLS
 
-/* enumerations from "/builddir/build/BUILD/atk-2.30.0/i686-redhat-linux-gnu/../atk/atkcomponent.h" */
+/* enumerations from "/builddir/build/BUILD/atk-2.30.0/x86_64-redhat-linux-gnu/../atk/atkcomponent.h" */
 ATK_AVAILABLE_IN_ALL
 GType atk_scroll_type_get_type (void);
 #define ATK_TYPE_SCROLL_TYPE (atk_scroll_type_get_type())

etc

Comment 1 Loïc Yhuel 2019-07-30 23:15:03 UTC
For the atk-enum-types.h, the issue is fixed if we add the Debian reproducible build patch : https://sources.debian.org/src/atk1.0/2.30.0-2/debian/patches/buildpath.

For the api-index-full.html, docbook-style-xsl needs https://github.com/docbook/xslt10-stylesheets/commit/07631601e6602bc49b8eac3aab9d2b35968d3e7a (not part of any release, should be done in xhtml and xhtml-1_1 directories too).

Comment 2 Ben Cotton 2019-10-31 18:59:49 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Loïc Yhuel 2019-11-01 00:03:42 UTC
Half of the issue is still present in Fedora 31 :
  file /usr/share/gtk-doc/html/atk/api-index-full.html from install of atk-devel-2.34.1-1.fc31.i686 conflicts with file from package atk-devel-2.34.1-1.fc31.x86_64

So the atk sources are now OK, but the docbook-style-xsl issue remains.

Comment 4 Ben Cotton 2019-11-27 18:17:10 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Ben Cotton 2020-02-11 15:41:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.